javax.json.stream

## Enum JsonParser.Event

- java.lang.Object
- - java.lang.Enum<JsonParser.Event>
  - - javax.json.stream.JsonParser.Event

- All Implemented Interfaces:
    Serializable, Comparable<JsonParser.Event>
  Enclosing interface:
    JsonParser

      public static enum JsonParser.Event
      extends Enum<JsonParser.Event>

  An event from `JsonParser`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END_ARRAY` End of a JSON array.
    `END_OBJECT` End of a JSON object.
    `KEY_NAME` Name in a name/value pair of a JSON object.
    `START_ARRAY` Start of a JSON array.
    `START_OBJECT` Start of a JSON object.
    `VALUE_FALSE` `false` value in a JSON array or object.
    `VALUE_NULL` `null` value in a JSON array or object.
    `VALUE_NUMBER` Number value in a JSON array or object.
    `VALUE_STRING` String value in a JSON array or object.
    `VALUE_TRUE` `true` value in a JSON array or object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonParser.Event` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsonParser.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_ARRAY

          public static final JsonParser.Event START_ARRAY

      Start of a JSON array. The position of the parser is after '['.

    - #### START_OBJECT

          public static final JsonParser.Event START_OBJECT

      Start of a JSON object. The position of the parser is after '{'.

    - #### KEY_NAME

          public static final JsonParser.Event KEY_NAME

      Name in a name/value pair of a JSON object. The position of the parser is after the key name. The method `JsonParser.getString()` returns the key name.

    - #### VALUE_STRING

          public static final JsonParser.Event VALUE_STRING

      String value in a JSON array or object. The position of the parser is after the string value. The method `JsonParser.getString()` returns the string value.

    - #### VALUE_NUMBER

          public static final JsonParser.Event VALUE_NUMBER

      Number value in a JSON array or object. The position of the parser is after the number value. `JsonParser` provides the following methods to access the number value: `JsonParser.getInt()`, `JsonParser.getLong()`, and `JsonParser.getBigDecimal()`.

    - #### VALUE_TRUE

          public static final JsonParser.Event VALUE_TRUE

      `true` value in a JSON array or object. The position of the parser is after the `true` value.

    - #### VALUE_FALSE

          public static final JsonParser.Event VALUE_FALSE

      `false` value in a JSON array or object. The position of the parser is after the `false` value.

    - #### VALUE_NULL

          public static final JsonParser.Event VALUE_NULL

      `null` value in a JSON array or object. The position of the parser is after the `null` value.

    - #### END_OBJECT

          public static final JsonParser.Event END_OBJECT

      End of a JSON object. The position of the parser is after '}'.

    - #### END_ARRAY

          public static final JsonParser.Event END_ARRAY

      End of a JSON array. The position of the parser is after ']'.

  - ### Method Detail

    - #### values

          public static JsonParser.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonParser.Event c : JsonParser.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonParser.Event valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.